[lfs-support] LFS-8.2: 6.12. File-5.32

Baho Utot baho-utot at columbus.rr.com
Tue Jul 3 14:17:27 PDT 2018



On 07/03/2018 05:08 PM, Ken Moffat wrote:
> On Tue, Jul 03, 2018 at 04:53:27PM -0400, Baho Utot wrote:
>> On 07/03/2018 03:13 PM, Ken Moffat wrote:
>>
>>> Do you get the same problem with whichever version was in 8.1, or
>>> with the current 5.33 ?
>> No it built,  the only thing changed between the 8.1 and this is what is in
>> the book.
>>
> I think you answered a different question from the one I asked.  I
> don't care what worked in your 8.1 build, only whether all recent
> versions of file show the problem in your current build.
>
> And if they do, any other infromation you can gather will be useful.
>
> ĸen

I am using the version of file that is in the LFS-8.2 book

Here is the log file:

+ cd /usr/src/Octothorpe/BUILD
+ cd file-5.32
+ ./configure --prefix=/usr
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /tools/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking for builtin ELF support... yes
checking for ELF core file support... yes
checking for zlib support...
checking for file formats in man section 5... no
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... configure: error: in 
`/usr/src/Octothorpe/BUILD/file-5.32':
configure: error: cannot run C compiled programs.
If you meant to cross compile, use `--host'.
See `config.log' for more details



More information about the lfs-support mailing list